#!/usr/bin/perl

use strict;
use warnings;

package packages_hacker;

# just forwarding to the "real" CheckPerl Sub with variables
# title, filename of this file, exception file and error level
sub check {
    use lib::check;
    my $opt_output = $_[1];

    # the title of the check for the output
    my $title           = "Search attacking tools";                      
    # the filename of this file
    my $package_name        = "packages_hacker";
    # the exception file
    my $exception_file  = "conf/checks/whitelists/packages_hacker.whitelist";
    check::CheckPerl( $title, $package_name, $exception_file, $opt_output );
}



sub perl {

######################################
# CHECK START
# HERE IS THE PERL CODE FOR THE CHECK
# returns results as list  in @outcomes

use lib::packages;

# list of security tools which can be used by attackers too
my @hacker_tools = (
                    'doscan',
                    'dsniff',
                    'ethereal',
                    'ettercap',
                    'harden-remoteaudit',
                    'inguma',
                    'nmap', 
                    'nessusd',
                    'nessus',
                    'nikto',
                    'paketto',
                    'pnscan',
                    'hping2',
                    'hping3',
                    'john',
                    'scanssh',
                    'python-scapy',
                    'tshark',
                    );
# Check if installed, returns Hash with: Name => 0 or 1 (1 if installed)
my %Status = packages::IsInstalled(\@hacker_tools);


my @outcomes = grep { $Status{$_} == 1 } keys %Status;

#
# CHECK END
######################################
return @outcomes;
}

1;
